Package proton :: Class Session

[frames] | no frames]

# Class Session

source code

         object --+
                  |
    wrapper.Wrapper --+
                      |
         object --+   |
                  |   |
           Endpoint --+
                      |
                     Session

Instance Methods

__init__(self, impl) x.__init__(...) initializes x; see help(type(x)) for signature | source code

close(self) | source code

free(self) | source code

next(self, mask) | source code

open(self) | source code

receiver(self, name) | source code

sender(self, name) | source code

Inherited from `wrapper.Wrapper`: `__del__`, `__delattr__`, `__eq__`, `__getattr__`, `__hash__`, `__ne__`, `__repr__`, `__setattr__` Inherited from `object`: `__format__`, `__getattribute__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods

wrap(impl) | source code

Class Variables
Inherited from `Endpoint`: `LOCAL_ACTIVE`, `LOCAL_CLOSED`, `LOCAL_UNINIT`, `REMOTE_ACTIVE`, `REMOTE_CLOSED`, `REMOTE_UNINIT`

Properties
| connection
| incoming_bytes
| incoming_capacity
| outgoing_bytes
| outgoing_window
| state
Inherited from `Endpoint`: `handler`, `remote_condition`, `transport` Inherited from `object`: `__class__`

Method Details

### __init__(self, impl)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

Property Details

### connection

Get Method:
  unreachable.connection(self)

### incoming_bytes

Get Method:
  unreachable.incoming_bytes(self)

### incoming_capacity

Get Method:
  _get_incoming_capacity(self)
Set Method:
  _set_incoming_capacity(self, capacity)

### outgoing_bytes

Get Method:
  unreachable.outgoing_bytes(self)

### outgoing_window

Get Method:
  _get_outgoing_window(self)
Set Method:
  _set_outgoing_window(self, window)

### state

Get Method:
  unreachable.state(self)